Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Making Views Precise

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
andrewwhiteinc
534 Views, 4 Replies

Making Views Precise

Hey

 

Quick question, is there a way to make a drawing view precise before printing? I have a batch printer setup and it will print views that have the green box around them in which they print blurry. I can't seem to find the command (if it even exists)?

 

Thanks,

 

P. Andrew White, P.Eng
Manufacturing Engineering Manager
Silent-Aire Manufacturing
4 REPLIES 4
Message 2 of 5

Could you check DrawingView.IsRasterView property value before printing?

This is a read-write property that gets and sets whether the drawing view is raster view or not.

Cheers,


Vladimir Ananyev
Developer Technical Services
Autodesk Developer Network

Message 3 of 5

Right now you can update a raster view to a precise view with the Inventor Task Scheduler. Wouldn't that be a nice task to add to the Vault task sheduler so you can be sure that if you release a drawing it's the way you want it? Then you don't have to worry printing a raster view?

 

Regards,

David



David Truyens
Technical Specialist
Twitter | LinkedIn | IDCM | GitHub

Message 4 of 5
BWMcDowell
in reply to: andrewwhiteinc

You can right click on the view and change it to make view precise from make view raster
or you can try:
ActiveSheet.View("1").View.IsRasterView = False
hope this helps
Message 5 of 5

I've been using this for the very same purpose.

I have to admit I'm yet to see the benefit of the Raster view!

 

For Each sheet As Sheet In ThisDrawing.Document.Sheets
    If sheet.DrawingViews.Count > 0 Then
        For Each view As DrawingView In sheet.DrawingViews
            view.IsRasterView = False
        Next
    End If
Next

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report